Databases
All operations require authentication.
List databasesProduction
List databases. Returns the names of the databases of the hosting. Filter them by mode, name, server, type or user.
Path parameters
The internal name of your hosting
Query parameters
Filter the value of mode property (=)
besteffortclassicmoduleFilter the value of name property (like)
Filter the value of server property (like)
Filter the value of type property (=)
mariadbmongodbmysqlpostgresqlredisFilter the value of user property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a databaseProduction
Get a database. Returns the type, version, server, port, user, quota and status of the database, and the URL of its management tool.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Whether service database is deprecated
Database service type
extraincludedoptionalThe number of available dumps associated to this database
URL for the graphical user interface
Date of the last check quota
Mode of your database
besteffortclassicmoduleDatabase name (like mydb.mysql.db or mydb.postgres.db)
The port on where to contact this database
Space allowed
Space used
Your database server name
Which SQLPerso this database is linked to (if any)
Database state
closeokreadonlyThe database status
checkingcreatedcreatingdeletingdumpingimportinglockedoptimizingrestoringupdatingThe task ID working on this database
Type of your database
mariadbmongodbmysqlpostgresqlredisDatabase user name
Database version following the database type
1010.110.1110.210.310.410.510.6111213153.23.44.05.15.55.65.76.07.08.08.49.49.59.6Indicates the current support state of your database version
betadeprecatedstableExample uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseServiceDeprecated": true, "databaseType": "extra", "dumps": 0, "guiURL": "string", "lastCheck": "2024-01-01T12:00:00Z", "mode": "besteffort", "name": "string", "port": 0, "quotaSize": { "unit": "string", "value": 0 }, "quotaUsed": { "unit": "string", "value": 0 }, "server": "string", "sqlpersoId": 0, "state": "close", "status": "checking", "taskId": 0, "type": "mariadb", "user": "string", "version": "10", "versionSupport": "beta"}
Get database capabilitiesProduction
Get database capabilities. Returns the functions available on the database, such as dump, restore or password change, and the URL of its management tool.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Availability of the changePassword function
Availability of the changeRight function
Availability of the delete function
Availability of the dump function
Availability of the getQuota function
Availability of the getQuota function
URL of the database management tool
Availability of the optimize function
Availability of the restore function
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ capabilities \
-H "authorization: Bearer $OVH_TOKEN"{ "changePassword": true, "changeRight": true, "delete": true, "dump": true, "getQuota": true, "getRight": true, "guiURL": "string", "optimize": true, "restore": true}
List database copiesProduction
List database copies. Returns the IDs of the copies of the database. Each copy is kept until its expiration date.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ copy \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a database copyProduction
Get a database copy. Returns the status, creation date and expiration date of the copy. Restore it into the database with copyRestore.
Path parameters
Copy id
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Creation date
Expiration date
Copy id
Last update date
Copy status
doingdoneerrortodoExample uses id = 00000000-0000-0000-0000-000000000000, name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ copy/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "expirationDate": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "lastUpdate": "2024-01-01T12:00:00Z", "status": "doing"}
List database dumpsProduction
List database dumps. Returns the IDs of the dumps of the database. Filter them by creation or deletion date.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Query parameters
Filter the value of creationDate property (>=)
Filter the value of creationDate property (<=)
Filter the value of deletionDate property (>=)
Filter the value of deletionDate property (<=)
Filter the value of type property (=)
daily.1nowweekly.1Response
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ dump \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a database dumpProduction
Get a database dump. Returns the status, type, download URL and automatic deletion date of the dump. The type tells whether it comes from the current database or from a daily or weekly backup.
Path parameters
Dump id
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Creation date of the dump
Automatic deletion date of the dump
Dump id
The dump status
createdcreatingdeletingThe task ID working on this dump
Dump type
daily.1nowweekly.1Dump url access
Example uses id = 0, name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ dump/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "deletionDate": "2024-01-01T12:00:00Z", "id": 0, "status": "created", "taskId": 0, "type": "daily.1", "url": "string"}
Get a database metrics tokenProduction
Get a database metrics token. Generates a token to read the database metrics and returns it with the endpoint to query.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
The url of the endpoint
The token value
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ metricsToken \
-H "authorization: Bearer $OVH_TOKEN"{ "endpoint": "string", "token": "string"}
Get database statisticsProduction
Get database statistics. Returns the number of statements or their mean execution time over a period.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Query parameters
Available periods for statistics
dailymonthlyweeklyyearlyTypes of statistics available for the database
statementstatementMeanTimeResponse
Example uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ statistics \
-H "authorization: Bearer $OVH_TOKEN"[ { "serieName": "string", "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ] }]
List database typesProduction
List database types. Returns the database types that can be created on the hosting: MariaDB, MongoDB, MySQL, PostgreSQL or Redis, depending on the offer.
Path parameters
The internal name of your hosting
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ databaseAvailableType \
-H "authorization: Bearer $OVH_TOKEN"[ "mariadb"]
List database versionsProduction
List database versions. Returns the available versions of a database type, and the version used when a database is created without one.
Path parameters
The internal name of your hosting
Query parameters
Type of the database
mariadbmongodbmysqlpostgresqlredisResponse
Database default version
1010.110.1110.210.310.410.510.6111213153.23.44.05.15.55.65.76.07.08.08.49.49.59.6Database available version
1010.110.1110.210.310.410.510.6111213153.23.44.05.15.55.65.76.07.08.08.49.49.59.6Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ databaseAvailableVersion \
-H "authorization: Bearer $OVH_TOKEN"{ "default": "10", "list": [ "10" ]}
Get database creation capabilitiesProduction
Get database creation capabilities. Returns, for each database offer of the hosting, the engines, the quota and the number of databases left to create.
Path parameters
The internal name of your hosting
Response
Number of database left for creation
Database software available on this platform
mariadbmongodbmysqlpostgresqlredisTechnology use to isolate differents webhosting accounts
dedicatedlocalsharedSize of data can be used
Database offer name
extraSqlPersolocalprivateDatabasesqlLocalsqlPersosqlProExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ databaseCreationCapabilities \
-H "authorization: Bearer $OVH_TOKEN"[ { "available": 0, "engines": [ "mariadb" ], "isolation": "dedicated", "quota": { "unit": "string", "value": 0 }, "type": "extraSqlPerso" }]
List dumpsProduction
List dumps. Returns the IDs of the database dumps of the hosting, including those of deleted databases. Filter them by database, date or orphan.
Path parameters
The internal name of your hosting
Query parameters
Filter the value of creationDate property (>=)
Filter the value of creationDate property (<=)
Filter the value of databaseName property (=)
Filter the value of deletionDate property (>=)
Filter the value of deletionDate property (<=)
Filter the value of orphan property (=)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ dump \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a dumpProduction
Get a dump. Returns the source database, status, type, download URL and automatic deletion date of the dump.
Path parameters
Dump id
The internal name of your hosting
Response
Creation date of the dump
Source database name
Automatic deletion date of the dump
Dump id
If source database was deleted
The dump status
createdcreatingdeletingThe task ID working on this dump
Dump type
daily.1nowweekly.1Dump url access
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ dump/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "databaseName": "string", "deletionDate": "2024-01-01T12:00:00Z", "id": 0, "orphan": true, "status": "created", "taskId": 0, "type": "daily.1", "url": "string"}
List extra SQL optionsProduction
List extra SQL options. Returns the IDs of the additional SQL options of the hosting. Each option adds databases, each with its own quota.
Path parameters
The internal name of your hosting
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ extraSqlPerso \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an extra SQL optionProduction
Get an extra SQL option. Returns the number of databases allowed, the quota per database, the linked databases and the status of the option.
Path parameters
Identifier of the (additional) SQL slot
The internal name of your hosting
Response
Number of database allowed by this option
Identifier of the (additional) SQL slot
The extraSqlPerso option name
Billing name of the matching subscription (or internal naming otherwise)
Quota size allowed per each database by this option
The extraSqlPerso option status
The task ID working on this extraSqlPerso
Linked databases
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ extraSqlPerso/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "database": 0, "id": 0, "name": "string", "serviceName": "string", "size": { "unit": "string", "value": 0 }, "status": "string", "taskId": 0, "usage": [ "string" ]}
List extra SQL option databasesProduction
List extra SQL option databases. Returns the names of the databases linked to the additional SQL option, within its number of allowed databases.
Path parameters
Identifier of the (additional) SQL slot
The internal name of your hosting
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ extraSqlPerso/ {id}/ databases \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get extra SQL option service informationProduction
Get extra SQL option service information. Returns the billing information of the option: creation and expiration dates, renewal settings and contacts.
Path parameters
Identifier of the (additional) SQL slot
The internal name of your hosting
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ extraSqlPerso/ {id}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Get private database creation capabilitiesProduction
Get private database creation capabilities. Returns, for each private database offer, the engines, the quota and the number of databases left to create.
Path parameters
The internal name of your hosting
Response
Number of database left for creation
Database software available on this platform
mariadbmongodbmysqlpostgresqlredisTechnology use to isolate differents webhosting accounts
dedicatedlocalsharedSize of data can be used
Database offer name
extraSqlPersolocalprivateDatabasesqlLocalsqlPersosqlProExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ privateDatabaseCreationCapabilities \
-H "authorization: Bearer $OVH_TOKEN"[ { "available": 0, "engines": [ "mariadb" ], "isolation": "dedicated", "quota": { "unit": "string", "value": 0 }, "type": "extraSqlPerso" }]
List linked private databasesProduction
List linked private databases. Returns the service names of the private databases linked to the hosting.
Path parameters
The internal name of your hosting
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ privateDatabases \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a databaseProduction
Create a database. Creates a MariaDB, MySQL, PostgreSQL or Redis database with its user, and returns the task. The quota applies only to extraSqlPerso databases.
Path parameters
The internal name of your hosting
Request body (required)
Type of your database
extraSqlPersolocalprivateDatabasesqlLocalsqlPersosqlProDatabase password
Quota assign to your database. Only for extraSql
251002002564005128001024Type you want for your database
mariadbmysqlpostgresqlredisDatabase user name. Must begin with your hosting login and must be in lower case
Version you want for your database following the type
1010.110.1110.210.310.410.510.6111213153.23.44.05.15.55.65.76.07.08.08.49.49.59.6Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Change the database passwordProduction
Change the database password. Changes the password of the database user and returns the task. Available when changePassword is true in the database capabilities.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Request body (required)
The new database password
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Create a database copyProduction
Create a database copy. Creates a copy of the database, kept until its expiration date. Restore it later with copyRestore.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Creation date
Expiration date
Copy id
Last update date
Copy status
doingdoneerrortodoExample uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ copy \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "expirationDate": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "lastUpdate": "2024-01-01T12:00:00Z", "status": "doing"}
Restore a database copyProduction
Restore a database copy. Restores a copy into the database and returns the task. Set flushDatabase to true to empty the database first.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Request body (required)
UUID of the copy to restore
If database will be flushed before importing the dump. Default: false
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ copyRestore \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Create a database dumpProduction
Create a database dump. Creates a dump of the current database or of a daily or weekly backup, and returns the task. An email is sent when the dump is ready, unless sendEmail is false.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Request body (required)
The date you want to dump
daily.1nowweekly.1Send an email when dump will be available? Default: true
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ dump \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Restore a database dumpProduction
Restore a database dump. Restores the dump into the database and returns the task. The current content of the database is replaced by the dump.
Path parameters
Dump id
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses id = 0, name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ dump/ {id}/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Import a dumpProduction
Import a dump. Imports a dump file uploaded with /me/documents into the database, and returns the task. Set flushDatabase to true to empty the database first.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Request body (required)
Documents ID of the dump from /me/documents
If database will be flushed before importing the dump. Default: false
Send an email when the import will be done? Default: false
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Run a database actionProduction
Run a database action. Runs an action on the database and returns the task. CHECK_QUOTA refreshes the space used by the database.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Request body (required)
Action you want to request
CHECK_QUOTAResponse
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ request \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Restore a database backupProduction
Restore a database backup. Restores the database from a daily or weekly backup and returns the task. Set sendEmail to true to receive an email when it is done.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Request body (required)
The date you want to dump
daily.1nowweekly.1Send an email when the restore will be done? Default: false
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Update extra SQL option renewalProduction
Update extra SQL option renewal. Updates the renewal settings of the additional SQL option: automatic renewal, renewal period and deletion at expiration.
Path parameters
Identifier of the (additional) SQL slot
The internal name of your hosting
Request body (required)
Renew type
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ extraSqlPerso/ {id}/ serviceInfosUpdate \
-H "authorization: Bearer $OVH_TOKEN"Terminate an extra SQL optionProduction
Terminate an extra SQL option. Requests the termination of the additional SQL option. A link to confirm it is sent by email to the administrator contact.
Path parameters
Identifier of the (additional) SQL slot
The internal name of your hosting
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ extraSqlPerso/ {id}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a databaseProduction
Delete a database. Deletes the database and returns the task. Its dumps are kept until their automatic deletion date.
Path parameters
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Delete a database copyProduction
Delete a database copy. Deletes the database copy before its expiration date. The database itself is not changed.
Path parameters
Copy id
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Example uses id = 00000000-0000-0000-0000-000000000000, name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ copy/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Delete a database dumpProduction
Delete a database dump. Deletes the dump before its automatic deletion date and returns the task. Otherwise, the dump is deleted on that date.
Path parameters
Dump id
Database name (like mydb.mysql.db or mydb.postgres.db)
The internal name of your hosting
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses id = 0, name = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ database/ {name}/ dump/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Delete a dumpProduction
Delete a dump. Deletes the dump before its automatic deletion date and returns the task. This also applies to dumps of deleted databases.
Path parameters
Dump id
The internal name of your hosting
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ dump/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}